Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.messaging
Class TradingSessionDesc

    java.lang.Object
      com.fxcm.messaging.TradingSessionDesc

    public class TradingSessionDesc

extends Object

TradingSessionDesc contains descrption of Trading Session to where client connected.

Constructor Summary
`TradingSessionDesc()` Default empty constructor
`TradingSessionDesc(String aFields)` Constructor with semi-column separated string of Trading Session Descriptor fields
`TradingSessionDesc(String aSubID, String aID, String aName, String aDesc)` Constructor with full set of Trading Session Descriptor fields

Method Summary
`String` | `getDesc()` Obtains trading session description
`String` | `getID()` Obtains trading session ID
`String` | `getName()` Obtains trading session name
`String` | `getParamLine()`
`Map` | `getProperties()` Return map of trading session desc props
`String` | `getProperty(String aKey)`
`String` | `getSubID()` Obtains trading session sub ID
`void` | `parse(String aFields)` Fills out object state from given semi-column separated string with Trading Session Descriptor fields
`void` | `setDesc(String aDesc)` Updates trading session description
`void` | `setID(String aID)` Updates trading session ID
`void` | `setName(String aName)` Updates trading session name
`void` | `setProperty(String aKey, String aValue)`
`void` | `setSubID(String aSubID)` Updates trading session sub ID
`String` | `toString()` Converts object to String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TradingSessionDesc

    public TradingSessionDesc()

  Default empty constructor

### TradingSessionDesc

    public TradingSessionDesc(String aFields)

  Constructor with semi-column separated string of Trading Session Descriptor fields

  Parameters:
    `aFields` - string with values in following order: "SubID; ID; Name; Description"

### TradingSessionDesc

    public TradingSessionDesc(String aSubID,
                              String aID,
                              String aName,
                              String aDesc)

  Constructor with full set of Trading Session Descriptor fields

  Parameters:
    `aID` - Trading Session ID
    `aSubID` - Trading Session Sub ID
    `aName` - Trading Session verbal name
    `aDesc` - Trading Session short description

Method Detail

### getDesc

    public String getDesc()

  Obtains trading session description

  Returns:
    trading session description

### getID

    public String getID()

  Obtains trading session ID

  Returns:
    trading session ID

### setID

    public void setID(String aID)

  Updates trading session ID

  Parameters:
    `aID` - trading session ID

### getName

    public String getName()

  Obtains trading session name

  Returns:
    trading session name

### getProperties

    public Map getProperties()

  Return map of trading session desc props

  Returns:
    map of trading session desc props

### getProperty

    public String getProperty(String aKey)

### getSubID

    public String getSubID()

  Obtains trading session sub ID

  Returns:
    trading session sub ID

### setSubID

    public void setSubID(String aSubID)

  Updates trading session sub ID

  Parameters:
    `aSubID` - trading session sub ID

### parse

    public void parse(String aFields)

  Fills out object state from given semi-column separated string with Trading Session Descriptor fields

  Parameters:
    `aFields` - string with values in following order: "SubID; ID; Name; Description"

### getParamLine

    public String getParamLine()

### setDesc

    public void setDesc(String aDesc)

  Updates trading session description

  Parameters:
    `aDesc` - trading session description

### setName

    public void setName(String aName)

  Updates trading session name

  Parameters:
    `aName` - trading session name

### setProperty

    public void setProperty(String aKey,
                            String aValue)

### toString

    public String toString()

  Converts object to String

  Overrides:
    `toString` in class `Object`
  Returns:
    semicolumn separated list of fields

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.